Index: /GTP/trunk/Lib/Vis/OnlineCullingCHC/src/GtpVisibility.vcproj
===================================================================
--- /GTP/trunk/Lib/Vis/OnlineCullingCHC/src/GtpVisibility.vcproj	(revision 1226)
+++ /GTP/trunk/Lib/Vis/OnlineCullingCHC/src/GtpVisibility.vcproj	(revision 1232)
@@ -128,7 +128,4 @@
 			</File>
 			<File
-				RelativePath="..\include\QueryManager.h">
-			</File>
-			<File
 				RelativePath="..\src\StopAndWaitCullingManager.cpp">
 			</File>
@@ -175,4 +172,7 @@
 			</File>
 			<File
+				RelativePath="..\include\QueryManager.h">
+			</File>
+			<File
 				RelativePath="..\include\StopAndWaitCullingManager.h">
 			</File>
Index: /GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp
===================================================================
--- /GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 1221)
+++ /GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 1232)
@@ -207,5 +207,5 @@
 }
 //-----------------------------------------------------------------------
-const Pass *OcclusionCullingSceneManager::_setPass(Pass* pass, bool evenIfSuppressed)
+const Pass *OcclusionCullingSceneManager::_setPass(const Pass* pass, bool evenIfSuppressed)
 {
 	if (NORMAL_RENDER_HACK)
@@ -220,7 +220,4 @@
 	const bool useDepthPass = 
 		(mIsDepthPassPhase && !mHierarchyInterface->IsBoundingBoxQuery());
-
-	Pass *usedPass = useDepthPass ? mDepthPass : pass;
-		
 
 	const IlluminationRenderStage savedStage = mIlluminationStage; 
@@ -256,4 +253,6 @@
 	}
 	
+	const Pass *usedPass = useDepthPass ? mDepthPass : pass;
+
 	// save old depth write: needed for item buffer
 	const bool IsDepthWrite = usedPass->getDepthWriteEnabled();
@@ -262,5 +261,5 @@
 	if (!mEnableDepthWrite)
 	{
-		usedPass->setDepthWriteEnabled(false);
+		//usedPass->setDepthWriteEnabled(false);
 	}
 	//else if (mIsItemBufferPass) {usedPass = mItemBufferPass;}
@@ -274,5 +273,5 @@
 	if (!mEnableDepthWrite)
 	{
-		usedPass->setDepthWriteEnabled(IsDepthWrite);
+		//usedPass->setDepthWriteEnabled(IsDepthWrite);
 	}
 
Index: /GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTreeSceneManager.cpp
===================================================================
--- /GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTreeSceneManager.cpp	(revision 1221)
+++ /GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreKdTreeSceneManager.cpp	(revision 1232)
@@ -1109,5 +1109,5 @@
 }
 //-----------------------------------------------------------------------
-const Pass *KdTreeSceneManager::_setPass(Pass* pass, bool evenIfSuppressed)
+const Pass *KdTreeSceneManager::_setPass(const Pass* pass, bool evenIfSuppressed)
 {
 	if (mRenderMethod == KdTree::KDRM_INTERNAL)
@@ -1122,7 +1122,4 @@
 	const bool useDepthPass = 
 		(mIsDepthPassPhase && !mHierarchyInterface->IsBoundingBoxQuery());
-
-	Pass *usedPass = useDepthPass ? mDepthPass : pass;
-
 
 	const IlluminationRenderStage savedStage = mIlluminationStage; 
@@ -1158,4 +1155,6 @@
 	}
 
+	const Pass *usedPass = useDepthPass ? mDepthPass : pass;
+
 	// save old depth write: needed for item buffer
 	const bool IsDepthWrite = usedPass->getDepthWriteEnabled();
@@ -1164,5 +1163,5 @@
 	if (!mEnableDepthWrite)
 	{
-		usedPass->setDepthWriteEnabled(false);
+	//	usedPass->setDepthWriteEnabled(false);
 	}
 	//else if (mIsItemBufferPass) {usedPass = mItemBufferPass;}
@@ -1176,5 +1175,5 @@
 	if (!mEnableDepthWrite)
 	{
-		usedPass->setDepthWriteEnabled(IsDepthWrite);
+	//	usedPass->setDepthWriteEnabled(IsDepthWrite);
 	}
 
Index: /GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp
===================================================================
--- /GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp	(revision 1221)
+++ /GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp	(revision 1232)
@@ -15,6 +15,7 @@
 #include "VspOspTree.h"
 #include "ObjParser.h"
+#ifdef INTEL_COMPILER
 #include "ArchModeler2MLRT.hxx"
-
+#endif
 
 namespace GtpVisibilityPreprocessor {
@@ -755,5 +756,7 @@
 	{
 	case INTEL_RAYCASTER:
+#ifdef INTEL_COMPILER
 		return mlrtaLoadAS(externKdTree.c_str());
+#endif
 	case INTERNAL_RAYCASTER:
 	default:
Index: /GTP/trunk/Lib/Vis/GtpVisibility.sln
===================================================================
--- /GTP/trunk/Lib/Vis/GtpVisibility.sln	(revision 1225)
+++ /GTP/trunk/Lib/Vis/GtpVisibility.sln	(revision 1232)
@@ -1,44 +1,32 @@
 Microsoft Visual Studio Solution File, Format Version 8.00
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Preprocessor", "..\..\Preprocessing\scripts\Preprocessor.vcproj", "{EABCE292-D598-4600-A1C9-2591E7D62FDA}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "EvalStats", "Preprocessing\EvalStats\EvalStats.vcproj", "{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}"
 	ProjectSection(ProjectDependencies) = postProject
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "GtpVisibility", "..\..\OnlineCullingCHC\scripts\GtpVisibility.vcproj", "{101A7691-74F3-48B4-96A3-CF35578F5900}"
-	ProjectSection(ProjectDependencies) = postProject
-		{EABCE292-D598-4600-A1C9-2591E7D62FDA} = {EABCE292-D598-4600-A1C9-2591E7D62FDA}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TestCullingTerrain", "..\..\..\..\App\Demos\Vis\HillyTerrain\OGRE\TestCullingTerrain.vcproj", "{248F19A6-2FE0-4F5D-8928-E0EA10609887}"
-	ProjectSection(ProjectDependencies) = postProject
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436} = {80DECC17-BDDD-4412-8CF8-F7C1C17A7436}
-		{101A7691-74F3-48B4-96A3-CF35578F5900} = {101A7691-74F3-48B4-96A3-CF35578F5900}
-		{7319E499-473D-4CE5-9983-725D6E68A55D} = {7319E499-473D-4CE5-9983-725D6E68A55D}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Plugin_VisibilitySceneManager", "..\..\OnlineCullingCHC\OGRE\scripts\Plugin_VisibilitySceneManager.vcproj", "{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}"
-	ProjectSection(ProjectDependencies) = postProject
-		{101A7691-74F3-48B4-96A3-CF35578F5900} = {101A7691-74F3-48B4-96A3-CF35578F5900}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "EvalStats", "..\EvalStats\EvalStats.vcproj", "{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "GtpVisibility", "OnlineCullingCHC\src\GtpVisibility.vcproj", "{101A7691-74F3-48B4-96A3-CF35578F5900}"
 	ProjectSection(ProjectDependencies) = postProject
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TestPreprocessor", "..\..\Preprocessing\scripts\TestPreprocessor.vcproj", "{69BC58F0-C7EB-4B43-B782-B6F047EF0528}"
-	ProjectSection(ProjectDependencies) = postProject
-		{EABCE292-D598-4600-A1C9-2591E7D62FDA} = {EABCE292-D598-4600-A1C9-2591E7D62FDA}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "IVReader", "..\..\OnlineCullingCHC\IVReader\scripts\IVReader.vcproj", "{7319E499-473D-4CE5-9983-725D6E68A55D}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "IVReader", "OnlineCullingCHC\IVReader\src\IVReader.vcproj", "{7319E499-473D-4CE5-9983-725D6E68A55D}"
 	ProjectSection(ProjectDependencies) = postProject
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TestKdTree", "..\..\..\..\App\Demos\Vis\KdTreeDemo\OGRE\scripts\TestKdTree.vcproj", "{17F2C6F9-6101-430E-ABF4-71383868EF24}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Plugin_VisibilitySceneManager", "OnlineCullingCHC\OGRE\src\Plugin_VisibilitySceneManager.vcproj", "{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}"
 	ProjectSection(ProjectDependencies) = postProject
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436} = {80DECC17-BDDD-4412-8CF8-F7C1C17A7436}
-		{7319E499-473D-4CE5-9983-725D6E68A55D} = {7319E499-473D-4CE5-9983-725D6E68A55D}
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "MultiLevelRayTracing", "..\..\Preprocessing\MultiLevelRayTracing\MultiLevelRayTracing.vcproj", "{F72B85F3-FA3A-4939-8196-596B1250B36E}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Preprocessor", "Preprocessing\src\Preprocessor.vcproj", "{EABCE292-D598-4600-A1C9-2591E7D62FDA}"
+	ProjectSection(ProjectDependencies) = postProject
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TestPreprocessor", "Preprocessing\src\TestPreprocessor.vcproj", "{69BC58F0-C7EB-4B43-B782-B6F047EF0528}"
+	ProjectSection(ProjectDependencies) = postProject
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TestCullingTerrain", "..\..\App\Demos\Vis\HillyTerrain\OGRE\TestCullingTerrain.vcproj", "{248F19A6-2FE0-4F5D-8928-E0EA10609887}"
+	ProjectSection(ProjectDependencies) = postProject
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TestKdTree", "..\..\App\Demos\Vis\KdTreeDemo\OGRE\scripts\TestKdTree.vcproj", "{17F2C6F9-6101-430E-ABF4-71383868EF24}"
 	ProjectSection(ProjectDependencies) = postProject
 	EndProjectSection
@@ -52,4 +40,36 @@
 	EndGlobalSection
 	GlobalSection(ProjectConfiguration) = postSolution
+		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Debug.ActiveCfg = Debug|Win32
+		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Debug.Build.0 = Debug|Win32
+		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Debug Static.ActiveCfg = Debug|Win32
+		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Debug Static.Build.0 = Debug|Win32
+		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Release.ActiveCfg = Release|Win32
+		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Release.Build.0 = Release|Win32
+		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Release Static.ActiveCfg = Release|Win32
+		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Release Static.Build.0 = Release|Win32
+		{101A7691-74F3-48B4-96A3-CF35578F5900}.Debug.ActiveCfg = Debug|Win32
+		{101A7691-74F3-48B4-96A3-CF35578F5900}.Debug.Build.0 = Debug|Win32
+		{101A7691-74F3-48B4-96A3-CF35578F5900}.Debug Static.ActiveCfg = Debug|Win32
+		{101A7691-74F3-48B4-96A3-CF35578F5900}.Debug Static.Build.0 = Debug|Win32
+		{101A7691-74F3-48B4-96A3-CF35578F5900}.Release.ActiveCfg = Release|Win32
+		{101A7691-74F3-48B4-96A3-CF35578F5900}.Release.Build.0 = Release|Win32
+		{101A7691-74F3-48B4-96A3-CF35578F5900}.Release Static.ActiveCfg = Release|Win32
+		{101A7691-74F3-48B4-96A3-CF35578F5900}.Release Static.Build.0 = Release|Win32
+		{7319E499-473D-4CE5-9983-725D6E68A55D}.Debug.ActiveCfg = Debug|Win32
+		{7319E499-473D-4CE5-9983-725D6E68A55D}.Debug.Build.0 = Debug|Win32
+		{7319E499-473D-4CE5-9983-725D6E68A55D}.Debug Static.ActiveCfg = Debug|Win32
+		{7319E499-473D-4CE5-9983-725D6E68A55D}.Debug Static.Build.0 = Debug|Win32
+		{7319E499-473D-4CE5-9983-725D6E68A55D}.Release.ActiveCfg = Release|Win32
+		{7319E499-473D-4CE5-9983-725D6E68A55D}.Release.Build.0 = Release|Win32
+		{7319E499-473D-4CE5-9983-725D6E68A55D}.Release Static.ActiveCfg = Release|Win32
+		{7319E499-473D-4CE5-9983-725D6E68A55D}.Release Static.Build.0 = Release|Win32
+		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Debug.ActiveCfg = Debug|Win32
+		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Debug.Build.0 = Debug|Win32
+		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Debug Static.ActiveCfg = Debug|Win32
+		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Debug Static.Build.0 = Debug|Win32
+		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Release.ActiveCfg = Release|Win32
+		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Release.Build.0 = Release|Win32
+		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Release Static.ActiveCfg = Release|Win32
+		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Release Static.Build.0 = Release|Win32
 		{EABCE292-D598-4600-A1C9-2591E7D62FDA}.Debug.ActiveCfg = Debug|Win32
 		{EABCE292-D598-4600-A1C9-2591E7D62FDA}.Debug.Build.0 = Debug|Win32
@@ -60,12 +80,12 @@
 		{EABCE292-D598-4600-A1C9-2591E7D62FDA}.Release Static.ActiveCfg = Release|Win32
 		{EABCE292-D598-4600-A1C9-2591E7D62FDA}.Release Static.Build.0 = Release|Win32
-		{101A7691-74F3-48B4-96A3-CF35578F5900}.Debug.ActiveCfg = Debug|Win32
-		{101A7691-74F3-48B4-96A3-CF35578F5900}.Debug.Build.0 = Debug|Win32
-		{101A7691-74F3-48B4-96A3-CF35578F5900}.Debug Static.ActiveCfg = Debug|Win32
-		{101A7691-74F3-48B4-96A3-CF35578F5900}.Debug Static.Build.0 = Debug|Win32
-		{101A7691-74F3-48B4-96A3-CF35578F5900}.Release.ActiveCfg = Release|Win32
-		{101A7691-74F3-48B4-96A3-CF35578F5900}.Release.Build.0 = Release|Win32
-		{101A7691-74F3-48B4-96A3-CF35578F5900}.Release Static.ActiveCfg = Release|Win32
-		{101A7691-74F3-48B4-96A3-CF35578F5900}.Release Static.Build.0 = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug.ActiveCfg = Debug|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug.Build.0 = Debug|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug Static.ActiveCfg = Debug|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug Static.Build.0 = Debug|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release.ActiveCfg = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release.Build.0 = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release Static.ActiveCfg = Release|Win32
+		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release Static.Build.0 = Release|Win32
 		{248F19A6-2FE0-4F5D-8928-E0EA10609887}.Debug.ActiveCfg = Debug|Win32
 		{248F19A6-2FE0-4F5D-8928-E0EA10609887}.Debug.Build.0 = Debug|Win32
@@ -76,36 +96,4 @@
 		{248F19A6-2FE0-4F5D-8928-E0EA10609887}.Release Static.ActiveCfg = Release|Win32
 		{248F19A6-2FE0-4F5D-8928-E0EA10609887}.Release Static.Build.0 = Release|Win32
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Debug.ActiveCfg = Debug|Win32
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Debug.Build.0 = Debug|Win32
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Debug Static.ActiveCfg = Debug|Win32
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Debug Static.Build.0 = Debug|Win32
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Release.ActiveCfg = Release|Win32
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Release.Build.0 = Release|Win32
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Release Static.ActiveCfg = Release|Win32
-		{80DECC17-BDDD-4412-8CF8-F7C1C17A7436}.Release Static.Build.0 = Release|Win32
-		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Debug.ActiveCfg = Debug|Win32
-		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Debug.Build.0 = Debug|Win32
-		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Debug Static.ActiveCfg = Debug|Win32
-		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Debug Static.Build.0 = Debug|Win32
-		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Release.ActiveCfg = Release|Win32
-		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Release.Build.0 = Release|Win32
-		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Release Static.ActiveCfg = Release|Win32
-		{935D1BDD-41B0-49F1-A86C-EB49B94DDB20}.Release Static.Build.0 = Release|Win32
-		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug.ActiveCfg = Debug|Win32
-		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug.Build.0 = Debug|Win32
-		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug Static.ActiveCfg = Debug|Win32
-		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Debug Static.Build.0 = Debug|Win32
-		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release.ActiveCfg = Release|Win32
-		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release.Build.0 = Release|Win32
-		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release Static.ActiveCfg = Release|Win32
-		{69BC58F0-C7EB-4B43-B782-B6F047EF0528}.Release Static.Build.0 = Release|Win32
-		{7319E499-473D-4CE5-9983-725D6E68A55D}.Debug.ActiveCfg = Debug|Win32
-		{7319E499-473D-4CE5-9983-725D6E68A55D}.Debug.Build.0 = Debug|Win32
-		{7319E499-473D-4CE5-9983-725D6E68A55D}.Debug Static.ActiveCfg = Debug|Win32
-		{7319E499-473D-4CE5-9983-725D6E68A55D}.Debug Static.Build.0 = Debug|Win32
-		{7319E499-473D-4CE5-9983-725D6E68A55D}.Release.ActiveCfg = Release|Win32
-		{7319E499-473D-4CE5-9983-725D6E68A55D}.Release.Build.0 = Release|Win32
-		{7319E499-473D-4CE5-9983-725D6E68A55D}.Release Static.ActiveCfg = Release|Win32
-		{7319E499-473D-4CE5-9983-725D6E68A55D}.Release Static.Build.0 = Release|Win32
 		{17F2C6F9-6101-430E-ABF4-71383868EF24}.Debug.ActiveCfg = Debug|Win32
 		{17F2C6F9-6101-430E-ABF4-71383868EF24}.Debug.Build.0 = Debug|Win32
@@ -116,12 +104,4 @@
 		{17F2C6F9-6101-430E-ABF4-71383868EF24}.Release Static.ActiveCfg = Release|Win32
 		{17F2C6F9-6101-430E-ABF4-71383868EF24}.Release Static.Build.0 = Release|Win32
-		{F72B85F3-FA3A-4939-8196-596B1250B36E}.Debug.ActiveCfg = Debug|Win32
-		{F72B85F3-FA3A-4939-8196-596B1250B36E}.Debug.Build.0 = Debug|Win32
-		{F72B85F3-FA3A-4939-8196-596B1250B36E}.Debug Static.ActiveCfg = Debug|Win32
-		{F72B85F3-FA3A-4939-8196-596B1250B36E}.Debug Static.Build.0 = Debug|Win32
-		{F72B85F3-FA3A-4939-8196-596B1250B36E}.Release.ActiveCfg = Release|Win32
-		{F72B85F3-FA3A-4939-8196-596B1250B36E}.Release.Build.0 = Release|Win32
-		{F72B85F3-FA3A-4939-8196-596B1250B36E}.Release Static.ActiveCfg = Release|Win32
-		{F72B85F3-FA3A-4939-8196-596B1250B36E}.Release Static.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(ExtensibilityGlobals) = postSolution