Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/scripts/terrainCulling.cfg
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/scripts/terrainCulling.cfg	(revision 1243)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/scripts/terrainCulling.cfg	(revision 1243)
@@ -0,0 +1,14 @@
+#Scene=D:\svn\gametools\OGRE\trunk\resources\media\house_test1.iv
+#Scene=D:\svn\gametools\OGRE\trunk\resources\media\city1500_flat_1.iv;D:\svn\gametools\OGRE\trunk\resources\media\roofs_1500.iv;D:\svn\gametools\OGRE\trunk\resources\media\CityRoads60.iv
+Scene=terrain
+
+# current view point
+#ViewX=830
+#ViewY=300
+#ViewZ=-540
+
+ViewX=707
+ViewY=5000
+ViewZ=528
+
+#VisibilityEnvironment=D:/svn/gametools/GTP/trunk/Lib/Vis/Preprocessing/scripts/generate_viewcells.env
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/scripts/terrain.cfg
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/scripts/terrain.cfg	(revision 1243)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/scripts/terrain.cfg	(revision 1243)
@@ -0,0 +1,74 @@
+# The main world texture (if you wish the terrain manager to create a material for you)
+WorldTexture=terrain_texture.jpg
+
+# The detail texture (if you wish the terrain manager to create a material for you)
+DetailTexture=terrain_detail.jpg
+
+#number of times the detail texture will tile in a terrain tile
+DetailTile=3
+
+# Heightmap source
+PageSource=Heightmap
+
+# Heightmap-source specific settings
+Heightmap.image=terrain.png
+
+# If you use RAW, fill in the below too
+# RAW-specific setting - size (horizontal/vertical)
+#Heightmap.raw.size=513
+# RAW-specific setting - bytes per pixel (1 = 8bit, 2=16bit)
+#Heightmap.raw.bpp=2
+# Use this if you want to flip the terrain (eg Terragen exports raw upside down)
+#Heightmap.flip=true
+
+# How large is a page of tiles (in vertices)? Must be (2^n)+1
+PageSize=513
+
+# How large is each tile? Must be (2^n)+1 and be smaller than PageSize
+TileSize=65
+
+# The maximum error allowed when determining which LOD to use
+MaxPixelError=3
+
+# The size of a terrain page, in world units
+PageWorldX=5000
+PageWorldZ=5000
+
+# Maximum height of the terrain 
+MaxHeight=400
+
+# Upper LOD limit
+MaxMipMapLevel=1
+
+#VertexNormals=yes
+#VertexColors=yes
+#UseTriStrips=yes
+
+# Use vertex program to morph LODs, if available
+VertexProgramMorph=no
+
+# The proportional distance range at which the LOD morph starts to take effect
+# This is as a proportion of the distance between the current LODs effective range,
+# and the effective range of the next lower LOD
+LODMorphStart=0.2
+
+# This following section is for if you want to provide your own terrain shading routine
+# Note that since you define your textures within the material this makes the 
+# WorldTexture and DetailTexture settings redundant
+
+# The name of the vertex program parameter you wish to bind the morph LOD factor to
+# this is 0 when there is no adjustment (highest) to 1 when the morph takes it completely
+# to the same position as the next lower LOD
+# USE THIS IF YOU USE HIGH-LEVEL VERTEX PROGRAMS WITH LOD MORPHING
+#MorphLODFactorParamName=morphFactor
+
+# The index of the vertex program parameter you wish to bind the morph LOD factor to
+# this is 0 when there is no adjustment (highest) to 1 when the morph takes it completely
+# to the same position as the next lower LOD
+# USE THIS IF YOU USE ASSEMBLER VERTEX PROGRAMS WITH LOD MORPHING
+#MorphLODFactorParamIndex=4
+
+# The name of the material you will define to shade the terrain
+#CustomMaterialName=TestTerrainMaterial
+
+
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/scripts/testKdTree.cfg
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/scripts/testKdTree.cfg	(revision 1243)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/scripts/testKdTree.cfg	(revision 1243)
@@ -0,0 +1,15 @@
+#scenemanager=OctreeSceneManager
+scenemanager=KdTreeSceneManager
+planedim=3000
+randomcount=25
+count=10
+spacing=75
+radius=700
+period=30
+movespeed=60
+rotatespeed=36
+shadows=off
+# 1 is grid, 2 is random, 4 is spaceship, 8 is moving, 16 is plane
+selectentities=22
+scene=C:\workspace\gametools\OGRE\trunk\resources\media\city1500_flat_1.iv;C:\workspace\gametools\OGRE\trunk\resources\media\CityRoads60.iv;C:\workspace\gametools\OGRE\trunk\resources\media\roofs_1500.iv
+#;C:\workspace\gametools\OGRE\trunk\resources\media\CityPlane60.iv