Index: GTP/trunk/Lib/Vis/Preprocessing/src/TestPreprocessor.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/TestPreprocessor.vcproj	(revision 1239)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/TestPreprocessor.vcproj	(revision 1248)
@@ -71,5 +71,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="..\include;&quot;$(BOOST_INCLUDE)&quot;;&quot;$(QTDIR)\include\QtOpenGl&quot;;..\src;&quot;$(CG_INC_PATH)&quot;;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\MultiLevelRayTracing"
+				AdditionalIncludeDirectories="..\include;..\..\..\..\..\..\NonGTP\Boost;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\MultiLevelRayTracing"
 				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE"
 				RuntimeLibrary="2"
@@ -86,5 +86,5 @@
 				OutputFile="$(OutDir)/Preprocessor.exe"
 				LinkIncremental="1"
-				AdditionalLibraryDirectories="..\src\GL;..\lib\release;&quot;$(BOOST_LIB)&quot;;..\..\..\..\..\..\NonGTP\Xerces\xercesc\lib;..\..\..\..\..\..\NonGTP\Zlib\lib;..\..\..\..\..\..\NonGTP\Devil\lib"
+				AdditionalLibraryDirectories="..\src\GL;..\lib\release;..\..\..\..\..\..\NonGTP\Boost\lib;..\..\..\..\..\..\NonGTP\Xerces\xercesc\lib;..\..\..\..\..\..\NonGTP\Zlib\lib;..\..\..\..\..\..\NonGTP\Devil\lib"
 				GenerateDebugInformation="FALSE"
 				SubSystem="1"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj	(revision 1239)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj	(revision 1248)
@@ -20,5 +20,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="..\include;..\src;&quot;$(CG_INC_PATH)&quot;;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;&quot;$(BOOST_INCLUDE)&quot;"
+				AdditionalIncludeDirectories="..\include;..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost\include"
 				PreprocessorDefinitions="WIN32;_DEBUG;_LIB;"
 				MinimalRebuild="TRUE"
@@ -65,5 +65,5 @@
 				FavorSizeOrSpeed="0"
 				OptimizeForWindowsApplication="TRUE"
-				AdditionalIncludeDirectories="..\include;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include&quot;;&quot;$(QTDIR)\include\QtOpenGl&quot;;..\src;&quot;$(CG_INC_PATH)&quot;;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;&quot;$(BOOST_INCLUDE)&quot;"
+				AdditionalIncludeDirectories="..\include;..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
 				ExceptionHandling="TRUE"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/default.env
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/default.env	(revision 1199)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/default.env	(revision 1248)
@@ -31,5 +31,5 @@
 	# stored sample rays
 	samplesFilename rays.out
-	useGlRenderer false
+	useGlRenderer true
 	useGlDebugger false
 #	type sampling
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Makefile
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Makefile	(revision 1217)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Makefile	(revision 1248)
@@ -1,5 +1,5 @@
 #############################################################################
 # Makefile for building: preprocessor
-# Generated by qmake (2.00a) (Qt 4.1.2) on: ?t 17. VIII 21:45:14 2006
+# Generated by qmake (2.00a) (Qt 4.1.2) on: po 21. VIII 11:15:08 2006
 # Project:  preprocessor.pro
 # Template: app
@@ -78,4 +78,7 @@
 		C:\Qt\4.1.2\mkspecs\features\win32\stl.prf \
 		C:\Qt\4.1.2\mkspecs\features\shared.prf \
+		C:\Qt\4.1.2\mkspecs\features\qt.prf \
+		C:\Qt\4.1.2\mkspecs\features\win32\opengl.prf \
+		C:\Qt\4.1.2\mkspecs\features\moc.prf \
 		C:\Qt\4.1.2\mkspecs\features\resources.prf \
 		C:\Qt\4.1.2\mkspecs\features\uic.prf
@@ -96,4 +99,7 @@
 C:\Qt\4.1.2\mkspecs\features\win32\stl.prf:
 C:\Qt\4.1.2\mkspecs\features\shared.prf:
+C:\Qt\4.1.2\mkspecs\features\qt.prf:
+C:\Qt\4.1.2\mkspecs\features\win32\opengl.prf:
+C:\Qt\4.1.2\mkspecs\features\moc.prf:
 C:\Qt\4.1.2\mkspecs\features\resources.prf:
 C:\Qt\4.1.2\mkspecs\features\uic.prf:
@@ -110,4 +116,16 @@
 distclean: release-distclean debug-distclean FORCE
 	-$(DEL_FILE) Makefile
+
+release-mocclean: $(MAKEFILE).Release
+	$(MAKE) -f $(MAKEFILE).Release mocclean
+debug-mocclean: $(MAKEFILE).Debug
+	$(MAKE) -f $(MAKEFILE).Debug mocclean
+mocclean: release-mocclean debug-mocclean
+
+release-mocables: $(MAKEFILE).Release
+	$(MAKE) -f $(MAKEFILE).Release mocables
+debug-mocables: $(MAKEFILE).Debug
+	$(MAKE) -f $(MAKEFILE).Debug mocables
+mocables: release-mocables debug-mocables
 FORCE:
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/main.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/main.cpp	(revision 1241)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/main.cpp	(revision 1248)
@@ -88,5 +88,5 @@
 	}
 	
-	//rendererWidget->Show();
+  //rendererWidget->Show();
 }
 
@@ -218,21 +218,29 @@
 	BoostPreprocessorThread pt(preprocessor);
 
+	bool guiSupported = false;
 	if (preprocessor->mUseGlRenderer || preprocessor->mUseGlDebugger)
-	{
+	  {
 		cout << "using gl widget" << endl;
 		// create and run the preprocessor application in a parallel thread
 		pt.InitThread();
-	
+		//pt.RunThread();
+		
 		// display the render widget
-		DisplayWidget();
-	} 
-	else
-	{
-		// just call the mail method -> will be executed in the main thread
-		pt.Main();
+		if (!rendererWidget)
+		  guiSupported = LoadMyDll();
+	  }
+	
+	if (!guiSupported) {
+	  preprocessor->mUseGlRenderer = false;
+	  preprocessor->mUseGlDebugger = false;
+	}
+	
+	if (!(preprocessor->mUseGlRenderer || preprocessor->mUseGlDebugger)) {
+	  // just call the mail method -> will be executed in the main thread
+	  pt.Main();
 	}
 	
 	Cleanup();
-
+	
 	return returnCode;
 }
Index: GTP/trunk/Lib/Vis/Preprocessing/src/preprocessor.pro
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/preprocessor.pro	(revision 1217)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/preprocessor.pro	(revision 1248)
@@ -1,3 +1,3 @@
-CONFIG -= qt 
+#CONFIG -= qt 
 CONFIG	+= console warn_off thread release
 
@@ -70,11 +70,14 @@
 MutualVisibility.cpp Triangle3.cpp Rectangle3.cpp Plane3.cpp Polygon3.cpp \
 ViewCell.cpp ViewCellBsp.cpp Halton.cpp VssRay.cpp VssTree.cpp VssPreprocessor.cpp \
-RenderSimulator.cpp RayInfo.cpp RssTree.cpp RssPreprocessor.cpp \
+RenderSimulator.cpp RayInfo.cpp RssTree.cpp RssPreprocessor.cpp \ 
 ViewCellsManager.cpp VspBspTree.cpp GlRenderer.cpp \
 PreprocessorThread.cpp Renderer.cpp Beam.cpp ViewCellsParser.cpp Tetrahedron3.cpp \
 VrmlExporter.cpp PlyParser.cpp plyfile.c RenderSampler.cpp \
 GzBinFileInputStream.cpp  GzFileInputSource.cpp \
-VspOspTree.cpp LogManager.cpp \
-SamplingStrategy.cpp KdIntersectable.cpp BoostPreprocessorThread.cpp
+LogManager.cpp \
+SamplingStrategy.cpp KdIntersectable.cpp BoostPreprocessorThread.cpp \
+OspTree.cpp HierarchyManager.cpp ObjParser.cpp VspTree.cpp BvHierarchy.cpp 
+
+
 
 CONFIG(qt) {